module Main where

import System.Environment
import Control.Parallel.Strategies

import Sudoku (solve)

main :: IO ()
main = do
    [f] <- getArgs
    file <- readFile f

    let puzzles = lines file
        solutions = map solve puzzles `using` parList rseq

    print (length (filter (\l -> length l > 0) solutions))
    